using UnityEngine;
using UnityEditor;
using System.Collections;

[CustomEditor(typeof(BaseShipComponent))]
public class BaseShipComponentEditor : Editor {

	void Update () {
	
	}
	
	public override void OnInspectorGUI()
	{
		DrawDefaultInspector();
		
		GUILayout.Space(15);
		
		if(GUILayout.Button("Add Random Component"))
		{
			
			((BaseShipComponent)target).AddRandomShipComponent();
		}
	}
}
